Package com.databend.jdbc.log

## Class SLF4JLogger

- java.lang.Object
- - com.databend.jdbc.log.SLF4JLogger

All Implemented Interfaces:
  `DatabendLogger`

    public class SLF4JLogger
    extends Object
    implements DatabendLogger

### Constructor Summary

Constructors
`SLF4JLogger​(String name)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `debug​(String message)`
`void` `debug​(String message, Object... arguments)`
`void` `debug​(String message, Throwable t)`
`void` `error​(String message)`
`void` `error​(String message, Object... arguments)`
`void` `error​(String message, Throwable t)`
`void` `info​(String message)`
`void` `info​(String message, Object... arguments)`
`void` `info​(String message, Throwable t)`
`void` `trace​(String message)`
`void` `trace​(String message, Object... arguments)`
`void` `trace​(String message, Throwable t)`
`void` `warn​(String message)`
`void` `warn​(String message, Object... arguments)`
`void` `warn​(String message, Throwable t)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SLF4JLogger

    public SLF4JLogger​(String name)

### Method Detail

#### trace

    public void trace​(String message)

Specified by:
  `trace` in interface `DatabendLogger`

#### trace

    public void trace​(String message,
                      Object... arguments)

Specified by:
  `trace` in interface `DatabendLogger`

#### trace

    public void trace​(String message,
                      Throwable t)

Specified by:
  `trace` in interface `DatabendLogger`

#### debug

    public void debug​(String message)

Specified by:
  `debug` in interface `DatabendLogger`

#### debug

    public void debug​(String message,
                      Object... arguments)

Specified by:
  `debug` in interface `DatabendLogger`

#### debug

    public void debug​(String message,
                      Throwable t)

Specified by:
  `debug` in interface `DatabendLogger`

#### info

    public void info​(String message)

Specified by:
  `info` in interface `DatabendLogger`

#### info

    public void info​(String message,
                     Object... arguments)

Specified by:
  `info` in interface `DatabendLogger`

#### info

    public void info​(String message,
                     Throwable t)

Specified by:
  `info` in interface `DatabendLogger`

#### warn

    public void warn​(String message)

Specified by:
  `warn` in interface `DatabendLogger`

#### warn

    public void warn​(String message,
                     Object... arguments)

Specified by:
  `warn` in interface `DatabendLogger`

#### warn

    public void warn​(String message,
                     Throwable t)

Specified by:
  `warn` in interface `DatabendLogger`

#### error

    public void error​(String message)

Specified by:
  `error` in interface `DatabendLogger`

#### error

    public void error​(String message,
                      Object... arguments)

Specified by:
  `error` in interface `DatabendLogger`

#### error

    public void error​(String message,
                      Throwable t)

Specified by:
  `error` in interface `DatabendLogger`